List evaluation runs for a suite
GET
/
v1
/
knowledge-base
/
evals
/
suites
/
{suite_id}
/
runs
List evaluation runs for a suite
curl --request GET \
--url https://api-sandbox.featherhq.com/v1/knowledge-base/evals/suites/{suite_id}/runs \
--header 'x-api-key: <api-key>'import requests
url = "https://api-sandbox.featherhq.com/v1/knowledge-base/evals/suites/{suite_id}/runs"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api-sandbox.featherhq.com/v1/knowledge-base/evals/suites/{suite_id}/runs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"items": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"suite_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"suite_name_snapshot": "<string>",
"organization_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_by_user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "<string>",
"total_cases": 123,
"completed_cases": 123,
"passed_cases": 123,
"failed_cases": 123,
"errored_cases": 123,
"average_score": 123,
"error_message": "<string>",
"kb_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"prefer_draft": true,
"version_overrides": {},
"generator_model_override": "<string>",
"judge_model_override": "<string>",
"pass_threshold_snapshot": 123,
"retrieval_top_k_snapshot": 123,
"total_input_tokens": 123,
"total_output_tokens": 123,
"total_cost_usd": 123,
"started_at": "2023-11-07T05:31:56Z",
"completed_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z"
}
],
"has_more": true,
"next_cursor": "<string>"
}{
"error": "<string>",
"message": "<string>",
"retryable": true,
"retry_after": 123
}{
"error": "<string>",
"message": "<string>",
"retryable": true,
"retry_after": 123
}{
"error": "<string>",
"message": "<string>",
"retryable": true,
"retry_after": 123
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Authorizations
Path Parameters
Was this page helpful?
⌘I
List evaluation runs for a suite
